Passer au contenu principal
PATCH
https://{tenantDomain}/api/v2
/
event-streams
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.EventStreams.UpdateAsync(
            id: "id",
            request: new UpdateEventStreamRequestContent()
        );
    }

}
package example

import (
context "context"

management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &management.UpdateEventStreamRequestContent{}
client.EventStreams.Update(
context.TODO(),
"id",
request,
)
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.eventstreams.requests.UpdateEventStreamRequestContent;

public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();

client.eventStreams().update(
"id",
UpdateEventStreamRequestContent
.builder()
.build()
);
}
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\EventStreams\Requests\UpdateEventStreamRequestContent;

$client = new Management(
token: '<token>',
);
$client->eventStreams->update(
'id',
new UpdateEventStreamRequestContent([]),
);
from auth0.management import ManagementClient

client = ManagementClient(
token="<token>",
)

client.event_streams.update(
id="id",
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.event_streams.update(id: "id")
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.eventStreams.update("id", {});
}
main();
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.eventStreams.update("id", {});
}
main();
curl --request PATCH \
--url https://{tenantDomain}/api/v2/event-streams/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"subscriptions": [
{
"event_type": "<string>"
}
],
"destination": {
"type": "webhook",
"configuration": {
"webhook_endpoint": "<string>",
"webhook_authorization": {
"method": "basic",
"username": "<string>"
}
}
}
}
'
{
  "id": "<string>",
  "name": "<string>",
  "subscriptions": [
    {
      "event_type": "<string>"
    }
  ],
  "destination": {
    "type": "webhook",
    "configuration": {
      "webhook_endpoint": "<string>",
      "webhook_authorization": {
        "method": "basic",
        "username": "<string>"
      }
    }
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

Unique identifier for the event stream.

Required string length: 26

Corps

name
string

Name of the event stream.

Required string length: 1 - 128
subscriptions
object[]

List of event types subscribed to in this stream.

destination
object
status
enum<string>

Indicates whether the event stream is actively forwarding events.

Options disponibles:
enabled,
disabled
Maximum string length: 8

Réponse

Event stream successfully updated.

id
string<event-stream-id>

Unique identifier for the event stream.

Required string length: 26
name
string

Name of the event stream.

Required string length: 1 - 128
subscriptions
object[]

List of event types subscribed to in this stream.

Minimum array length: 1
destination
object
status
enum<string>

Indicates whether the event stream is actively forwarding events.

Options disponibles:
enabled,
disabled
Maximum string length: 8
created_at
string<date-time>

Timestamp when the event stream was created.

updated_at
string<date-time>

Timestamp when the event stream was last updated.